Package org.apache.lucene.util.quantization

# Class ScalarQuantizedVectorSimilarity.Euclidean

java.lang.Object
org.apache.lucene.util.quantization.ScalarQuantizedVectorSimilarity.Euclidean

All Implemented Interfaces:
  `ScalarQuantizedVectorSimilarity`

Enclosing interface:
  `ScalarQuantizedVectorSimilarity`

public static class ScalarQuantizedVectorSimilarity.Euclidean extends Object implements ScalarQuantizedVectorSimilarity
Calculates euclidean distance on quantized vectors, applying the appropriate corrections

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.lucene.util.quantization.ScalarQuantizedVectorSimilarity

  `ScalarQuantizedVectorSimilarity.ByteVectorComparator, ScalarQuantizedVectorSimilarity.DotProduct, ScalarQuantizedVectorSimilarity.Euclidean, ScalarQuantizedVectorSimilarity.MaximumInnerProduct`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Euclidean(float constMultiplier)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `score(byte[] queryVector, float queryVectorOffset, byte[] storedVector, float vectorOffset)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Euclidean

    public Euclidean(float constMultiplier)

- ## Method Details

  - ### score

    public float score(byte[] queryVector, float queryVectorOffset, byte[] storedVector, float vectorOffset)
    Specified by:
      `score` in interface `ScalarQuantizedVectorSimilarity`